package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author nianchang
 * @date 2023/10/07 2:37 下午
 */
public class UstoreIndexOrder extends BaseIndexOrder {

    private static final long serialVersionUID = 4881026459148777786L;

    /**
     * 商品ID列表
     */
    private List<String> itemIdList;

    /**
     * 支付人
     */
    private Long searchPayer;

    /**
     * 搜索支付金额
     */
    private Integer searchActualAmount;

    /**
     * 商品类型
     */
    private List<Integer> itemTypeList;

    /**
     * 全局搜索
     */
    private String globalSearch;

    /**
     * 订单完成时间
     */
    private Date searchCompletedAt;

    /**
     * 平台用户id
     */
    private Long platformUserId;

    /**
     * 平台商家id
     */
    private Long platformSellerId;

    /**
     * 是否退款
     * 0：否
     * 1：是
     */
    private Integer refundCompleted;

    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public Long getPlatformSellerId() {
        return platformSellerId;
    }

    public void setPlatformSellerId(Long platformSellerId) {
        this.platformSellerId = platformSellerId;
    }

    public Long getPlatformUserId() {
        return platformUserId;
    }

    public void setPlatformUserId(Long platformUserId) {
        this.platformUserId = platformUserId;
    }

    @Override
    public Long getSearchPayer() {
        return searchPayer;
    }

    @Override
    public void setSearchPayer(Long searchPayer) {
        this.searchPayer = searchPayer;
    }

    public Integer getSearchActualAmount() {
        return searchActualAmount;
    }

    public void setSearchActualAmount(Integer searchActualAmount) {
        this.searchActualAmount = searchActualAmount;
    }

    public Date getSearchCompletedAt() {
        return searchCompletedAt;
    }

    public void setSearchCompletedAt(Date searchCompletedAt) {
        this.searchCompletedAt = searchCompletedAt;
    }

    public String getGlobalSearch() {
        return globalSearch;
    }

    public void setGlobalSearch(String globalSearch) {
        this.globalSearch = globalSearch;
    }

    public List<Integer> getItemTypeList() {
        return itemTypeList;
    }

    public void setItemTypeList(List<Integer> itemTypeList) {
        this.itemTypeList = itemTypeList;
    }

    public List<String> getItemIdList() {
        return itemIdList;
    }

    public void setItemIdList(List<String> itemIdList) {
        this.itemIdList = itemIdList;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
